Bug 24794

Summary: Can enter auto scroll from a non-scrollable area
Product: WebKit Reporter: Jon Honeycutt <jhoneycutt>
Component: WebCore Misc.Assignee: Jessie Berlin <jberlin>
Status: RESOLVED FIXED    
Severity: Normal CC: beidson, bweinstein
Priority: P2 Keywords: InRadar
Version: 528+ (Nightly build)   
Hardware: PC   
OS: Windows XP   
Attachments:
Description Flags
Cancels the scroll if there are no vertical or horizonal scrollbars.
none
Does not instantiate an autoscroll when there are no scrollbars on the frame view. none

Description Jon Honeycutt 2009-03-24 17:49:54 PDT
From discussion in bug #24722, it is possible to enter auto scroll when the area isn't scrollable.

To reproduce,
1. Load http://google.com
2. Size the page until there are no scroll bars
3. Middle-click the page

The auto scroll icon and cursor show, but the page is not scrollable.
Comment 1 Adam Roben (:aroben) 2009-05-29 11:45:19 PDT
<rdar://problem/6933057>
Comment 2 Jessie Berlin 2009-06-22 20:33:25 PDT
Created attachment 31701 [details]
Cancels the scroll if there are no vertical or horizonal scrollbars.
Comment 3 Jessie Berlin 2009-06-23 15:23:53 PDT
Created attachment 31744 [details]
Does not instantiate an autoscroll when there are no scrollbars on the frame view.

Assumes that there is no situation in which a frame does not have a frameview but the user should still be able to do an auto / pan scroll.
Comment 4 Brady Eidson 2009-06-23 15:26:22 PDT
Comment on attachment 31744 [details]
Does not instantiate an autoscroll when there are no scrollbars on the frame view.

Code change looks fine, but can we layout test this bad boy?
Comment 5 Brady Eidson 2009-06-23 15:27:09 PDT
Comment on attachment 31744 [details]
Does not instantiate an autoscroll when there are no scrollbars on the frame view.

Re-read precisely what this is about, I guess we can't quite test this yet.  r+
Comment 6 Eric Seidel (no email) 2009-06-23 22:31:43 PDT
Is this patch supposed to be obsoleted?  Or should it be landed?
Comment 7 Jessie Berlin 2009-06-24 06:46:32 PDT
(In reply to comment #6)
> Is this patch supposed to be obsoleted?  Or should it be landed?
> 

Obsoleted. I did not take into account the case where there is a scrollable element inside of a frame view even then though frame view might not have scrollbars.
Comment 8 Eric Seidel (no email) 2009-06-24 18:50:06 PDT
Comment on attachment 31744 [details]
Does not instantiate an autoscroll when there are no scrollbars on the frame view.

Clearing review flag on obsoleted patch.
Comment 9 Brian Weinstein 2009-08-12 19:46:16 PDT
This bug was fixed as collateral damage with the fix of http://trac.webkit.org/changeset/47163.